Package com.google.android.exoplayer2.source.hls

## Class HlsTrackMetadataEntry.VariantInfo

- java.lang.Object
- - com.google.android.exoplayer2.source.hls.HlsTrackMetadataEntry.VariantInfo

- All Implemented Interfaces:
    `Parcelable`
  Enclosing class:
    HlsTrackMetadataEntry

      public static final class HlsTrackMetadataEntry.VariantInfo
      extends Object
      implements Parcelable

  Holds attributes defined in an EXT-X-STREAM-INF tag.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `audioGroupId` | The AUDIO value as defined in the EXT-X-STREAM-INF tag, or null if the AUDIO attribute is not present.
    `int` | `averageBitrate` | The average bitrate as declared by the AVERAGE-BANDWIDTH attribute of the EXT-X-STREAM-INF tag, or `Format.NO_VALUE` if the attribute is not declared.
    `String` | `captionGroupId` | The CLOSED-CAPTIONS value as defined in the EXT-X-STREAM-INF tag, or null if the CLOSED-CAPTIONS attribute is not present.
    `static Parcelable.Creator<HlsTrackMetadataEntry.VariantInfo>` | `CREATOR` |
    `int` | `peakBitrate` | The peak bitrate as declared by the BANDWIDTH attribute of the EXT-X-STREAM-INF tag.
    `String` | `subtitleGroupId` | The SUBTITLES value as defined in the EXT-X-STREAM-INF tag, or null if the SUBTITLES attribute is not present.
    `String` | `videoGroupId` | The VIDEO value as defined in the EXT-X-STREAM-INF tag, or null if the VIDEO attribute is not present.

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VariantInfo​(int averageBitrate, int peakBitrate, String videoGroupId, String audioGroupId, String subtitleGroupId, String captionGroupId)` | Creates an instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `describeContents()` |
    `boolean` | `equals​(Object other)` |
    `int` | `hashCode()` |
    `void` | `writeToParcel​(Parcel dest, int flags)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### averageBitrate

          public final int averageBitrate

      The average bitrate as declared by the AVERAGE-BANDWIDTH attribute of the EXT-X-STREAM-INF tag, or `Format.NO_VALUE` if the attribute is not declared.

    - #### peakBitrate

          public final int peakBitrate

      The peak bitrate as declared by the BANDWIDTH attribute of the EXT-X-STREAM-INF tag.

    - #### videoGroupId

          @Nullable
          public final String videoGroupId

      The VIDEO value as defined in the EXT-X-STREAM-INF tag, or null if the VIDEO attribute is not present.

    - #### audioGroupId

          @Nullable
          public final String audioGroupId

      The AUDIO value as defined in the EXT-X-STREAM-INF tag, or null if the AUDIO attribute is not present.

    - #### subtitleGroupId

          @Nullable
          public final String subtitleGroupId

      The SUBTITLES value as defined in the EXT-X-STREAM-INF tag, or null if the SUBTITLES attribute is not present.

    - #### captionGroupId

          @Nullable
          public final String captionGroupId

      The CLOSED-CAPTIONS value as defined in the EXT-X-STREAM-INF tag, or null if the CLOSED-CAPTIONS attribute is not present.

    - #### CREATOR

          public static final Parcelable.Creator<HlsTrackMetadataEntry.VariantInfo> CREATOR

  - ### Constructor Detail

    - #### VariantInfo

          public VariantInfo​(int averageBitrate,
                             int peakBitrate,
                             @Nullable
                             String videoGroupId,
                             @Nullable
                             String audioGroupId,
                             @Nullable
                             String subtitleGroupId,
                             @Nullable
                             String captionGroupId)

      Creates an instance.
      Parameters:
        `averageBitrate` - See `averageBitrate`.
        `peakBitrate` - See `peakBitrate`.
        `videoGroupId` - See `videoGroupId`.
        `audioGroupId` - See `audioGroupId`.
        `subtitleGroupId` - See `subtitleGroupId`.
        `captionGroupId` - See `captionGroupId`.

  - ### Method Detail

    - #### equals

          public boolean equals​(@Nullable
                                Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### describeContents

          public int describeContents()

      Specified by:
        `describeContents` in interface `Parcelable`

    - #### writeToParcel

          public void writeToParcel​(Parcel dest,
                                    int flags)

      Specified by:
        `writeToParcel` in interface `Parcelable`